incubator-accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bil...@apache.org
Subject svn commit: r1185838 - in /incubator/accumulo/trunk/test/system/auto: README pkill.sh simple/examples.py
Date Tue, 18 Oct 2011 20:26:18 GMT
Author: billie
Date: Tue Oct 18 20:26:17 2011
New Revision: 1185838

URL: http://svn.apache.org/viewvc?rev=1185838&view=rev
Log:
ACCUMULO-46 fixed examples.py, made README more specific

Added:
    incubator/accumulo/trunk/test/system/auto/pkill.sh   (with props)
Modified:
    incubator/accumulo/trunk/test/system/auto/README
    incubator/accumulo/trunk/test/system/auto/simple/examples.py

Modified: incubator/accumulo/trunk/test/system/auto/README
URL: http://svn.apache.org/viewvc/incubator/accumulo/trunk/test/system/auto/README?rev=1185838&r1=1185837&r2=1185838&view=diff
==============================================================================
--- incubator/accumulo/trunk/test/system/auto/README (original)
+++ incubator/accumulo/trunk/test/system/auto/README Tue Oct 18 20:26:17 2011
@@ -5,6 +5,11 @@ you must have hadoop and zookeeper insta
 a shared library needed for one of the tests.  The test suite is known to run on Linux RedHat
Enterprise 
 version 5, and Mac OS X 10.5.
 
+The tests are shown as being run from the ACCUMULO_HOME directory, but they should run from
any directory.
+Make sure to create "logs" and "walogs" directories in ACCUMULO_HOME.  Also, ensure that
accumulo-env.sh
+specifies its ACCUMULO_LOG_DIR in the following way:
+test -z "$ACCUMULO_LOG_DIR"      && export ACCUMULO_LOG_DIR=$ACCUMULO_HOME/logs
+
  $ ./test/system/auto/run.py -l
  
 Will list all the test names.  You can run the suite like this:

Added: incubator/accumulo/trunk/test/system/auto/pkill.sh
URL: http://svn.apache.org/viewvc/incubator/accumulo/trunk/test/system/auto/pkill.sh?rev=1185838&view=auto
==============================================================================
--- incubator/accumulo/trunk/test/system/auto/pkill.sh (added)
+++ incubator/accumulo/trunk/test/system/auto/pkill.sh Tue Oct 18 20:26:17 2011
@@ -0,0 +1,40 @@
+#! /usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+OS=`uname -s`
+
+#Validate arguments
+if [ -z "$1" -o -z "$2" -o -z "$3" ]; then
+echo "Usage: $0 <SIGNAL> <UID> <PATTERN>"
+exit 1
+fi
+
+#Darwin settings (MacOS)
+if [ $OS = Darwin ]; then
+  ps -eo pid,command | grep "$3" | grep -v grep | awk '{ print $1 }' | grep -v $$ | xargs
kill -$1
+
+#Linux settings (RedHat)
+elif [ $OS = Linux ]; then
+  #echo pkill -$1 -U $2 -f "$3"
+  exec pkill -$1 -U $2 -f "$3"
+
+#Any other OS
+else
+  echo "Unrecognized OS"
+  exit 1
+#End OS checking
+fi

Propchange: incubator/accumulo/trunk/test/system/auto/pkill.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: incubator/accumulo/trunk/test/system/auto/simple/examples.py
URL: http://svn.apache.org/viewvc/incubator/accumulo/trunk/test/system/auto/simple/examples.py?rev=1185838&r1=1185837&r2=1185838&view=diff
==============================================================================
--- incubator/accumulo/trunk/test/system/auto/simple/examples.py (original)
+++ incubator/accumulo/trunk/test/system/auto/simple/examples.py Tue Oct 18 20:26:17 2011
@@ -83,11 +83,10 @@ class Examples(TestUtilsMixin, unittest.
     
         self.comment("Testing ageoff filtering")
         out = self.ashell("createtable filtertest\n"
-                     "setiter -t filtertest -scan -p 10 -n myfilter -filter\n"
-                     "0 ageoff\n"
-                     "\n"
+                     "setiter -t filtertest -scan -p 10 -n myfilter -ageoff\n"
                      "\n"
                      "5000\n"
+                     "\n"
                      "insert foo a b c\n"
                      "scan\n"
                      "sleep 5\n"
@@ -134,9 +133,9 @@ class Examples(TestUtilsMixin, unittest.
         self.execute(self.accumulo_sh(), 'org.apache.accumulo.examples.mapreduce.bulk.GenerateTestData',
0, 1000000, '/tmp/input/data')
         self.execute(self.accumulo_sh(), 'org.apache.accumulo.examples.mapreduce.bulk.SetupTable',
                  INSTANCE_NAME, ZOOKEEPERS, ROOT, ROOT_PASSWORD, 'bulkTable')
-        self.execute('bin/tool.sh', examplesJar, 'org.apache.accumulo.examples.mapreduce.bulk.BulkIngestExample',
+        self.execute(ACCUMULO_HOME+'/bin/tool.sh', examplesJar, 'org.apache.accumulo.examples.mapreduce.bulk.BulkIngestExample',
                  INSTANCE_NAME, ZOOKEEPERS, ROOT, ROOT_PASSWORD, 'bulkTable', '/tmp/input',
'/tmp')
-        self.execute('bin/tool.sh', examplesJar, 'org.apache.accumulo.examples.mapreduce.bulk.VerifyIngest',
+        self.execute(ACCUMULO_HOME+'/bin/tool.sh', examplesJar, 'org.apache.accumulo.examples.mapreduce.bulk.VerifyIngest',
                  INSTANCE_NAME, ZOOKEEPERS, ROOT, ROOT_PASSWORD, 'bulkTable', 0, 1000000)
         self.wait(self.runOn(self.masterHost(), [
             'hadoop', 'fs', '-rmr', "/tmp/tableFile", "/tmp/nines"
@@ -145,7 +144,7 @@ class Examples(TestUtilsMixin, unittest.
         # 10,000 times smaller than the real terasort
         ROWS = 1000*1000
         self.wait(self.runOn(self.masterHost(), [
-            'bin/tool.sh',
+            ACCUMULO_HOME+'/bin/tool.sh',
             examplesJar,
             'org.apache.accumulo.examples.mapreduce.TeraSortIngest',
             ROWS,  
@@ -159,7 +158,7 @@ class Examples(TestUtilsMixin, unittest.
             4]))
         self.comment("Looking for '999' in all rows")
         self.wait(self.runOn(self.masterHost(), [
-            'bin/tool.sh',
+            ACCUMULO_HOME+'/bin/tool.sh',
             examplesJar,
             'org.apache.accumulo.examples.mapreduce.RegexExample',
             INSTANCE_NAME,
@@ -174,7 +173,7 @@ class Examples(TestUtilsMixin, unittest.
             '/tmp/nines']))
         self.comment("Generating hashes of each row into a new table")
         self.wait(self.runOn(self.masterHost(), [
-            'bin/tool.sh',
+            ACCUMULO_HOME+'/bin/tool.sh',
             examplesJar,
             'org.apache.accumulo.examples.mapreduce.RowHash',
             INSTANCE_NAME,
@@ -187,7 +186,7 @@ class Examples(TestUtilsMixin, unittest.
             ]))
         self.comment("Exporting the table to HDFS")
         self.wait(self.runOn(self.masterHost(), [
-            'bin/tool.sh',
+            ACCUMULO_HOME+'/bin/tool.sh',
             examplesJar,
             'org.apache.accumulo.examples.mapreduce.TableToFile',
             INSTANCE_NAME,
@@ -210,7 +209,7 @@ class Examples(TestUtilsMixin, unittest.
             ]))
         self.ashell('createtable wordCount -a count=org.apache.accumulo.core.iterators.aggregation.StringSummation\nquit\n')
         self.wait(self.runOn(self.masterHost(), [
-            'bin/tool.sh',
+            ACCUMULO_HOME+'/bin/tool.sh',
             examplesJar,
             'org.apache.accumulo.examples.mapreduce.WordCount',
             INSTANCE_NAME,



Mime
View raw message